aboutsummaryrefslogtreecommitdiff
path: root/scripts/scsi_satl
diff options
context:
space:
mode:
authorDouglas Gilbert <dgilbert@interlog.com>2013-05-15 13:35:46 +0000
committerDouglas Gilbert <dgilbert@interlog.com>2013-05-15 13:35:46 +0000
commitfaeffd098cd2e1cc79b225b148ef96dd722bcdac (patch)
tree5a62198810a188963d07631dd7b7283d1581a049 /scripts/scsi_satl
parent02ec79b083e6bd32b71937f0b3b6b0108769c184 (diff)
downloadsg3_utils-faeffd098cd2e1cc79b225b148ef96dd722bcdac.tar.gz
sg_vpd: pwr_d_s (spl3r3); scripts directory gets Makefile.am
git-svn-id: https://svn.bingwo.ca/repos/sg3_utils/trunk@495 6180dd3e-e324-4e3e-922d-17de1ae2f315
Diffstat (limited to 'scripts/scsi_satl')
-rwxr-xr-xscripts/scsi_satl15
1 files changed, 6 insertions, 9 deletions
diff --git a/scripts/scsi_satl b/scripts/scsi_satl
index abaa6fc4..60994225 100755
--- a/scripts/scsi_satl
+++ b/scripts/scsi_satl
@@ -58,15 +58,6 @@ usage()
echo "Check <device> for SCSI to ATA Translation Layer (SATL) support"
}
-if (( $# < 1 ))
- then
- usage
- exit 1
-fi
-
-# opt=$1
-# echo ${opt##-*}
-
opt="$1"
while test ! -z "$opt" -a -z "${opt##-*}"; do
opt=${opt#-}
@@ -81,6 +72,12 @@ while test ! -z "$opt" -a -z "${opt##-*}"; do
opt="$1"
done
+if [ $# -lt 1 ]
+ then
+ usage
+ exit 1
+fi
+
for command in "sg_inq" "sg_vpd" "sg_vpd -p di" "sg_vpd -p ai" "sg_luns" \
"sg_turs" "sg_requests -s" "sg_senddiag -t" "sg_modes -a" \
"sg_sat_identify"